summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Ozan Türkyılmaz2022-04-24 18:09:58 +0200
committer Willy Sudiarto Raharjo2022-04-30 08:51:47 +0200
commit418edccbf03b3137a8bb06b206a259249e9431e6 (patch)
tree8377bfba4d777414045af3a51448cf0cd0392832 /office
parentdfb1f3be71ffa4ab69307bed787c884702d4a3ac (diff)
downloadslackbuilds-418edccbf03b3137a8bb06b206a259249e9431e6.tar.gz
office/evolution: Added (Email and calendaring application)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/evolution/README35
-rw-r--r--office/evolution/doinst.sh16
-rw-r--r--office/evolution/evolution.SlackBuild138
-rw-r--r--office/evolution/evolution.info10
-rw-r--r--office/evolution/slack-desc19
5 files changed, 218 insertions, 0 deletions
diff --git a/office/evolution/README b/office/evolution/README
new file mode 100644
index 0000000000..919327375a
--- /dev/null
+++ b/office/evolution/README
@@ -0,0 +1,35 @@
+Evolution is a personal information management application that provides
+integrated mail, calendaring and address book functionality. Its user
+interface and functionality is similar to Microsoft Outlook.
+
+Evolution delivers the following features:
+ E-mail retrieval with the POP and IMAP protocols and e-mail
+ transmission with SMTP
+ Secure network connections encrypted with SSL, TLS and STARTTLS
+ E-mail encryption with GPG and S/MIME
+ E-mail filters
+ Search folders: saved searches that look like normal mail folders
+ as an alternative to using filters and search queries
+ Automatic spam filtering with SpamAssassin and Bogofilter
+ Calendar support for the iCalendar file format, the WebDAV and
+ CalDAV standards and Google Calendar
+ Contact management with local address books, CardDAV, LDAP and
+ Google address books
+ Synchronization via SyncML with SyncEvolution and with Palm OS
+ devices via gnome-pilot
+ Address books that can be used as a data source in LibreOffice
+ User avatars loading from address book, e-mail headers X-Face, Face
+ or automatic lookup by hashed e-mail address from Gravatar service
+ A news client
+ Import from Microsoft Outlook archives (dbx, pst) and Berkley Mailbox
+
+Below variables can be used to configure the build:
+ GCOV=ON : Enable build with GCOV code coverage
+ GTKDOC=ON : Use gtk-doc to build documentation
+ TESTS=ON : Enable installed tests
+ SPAMASSASION=ON : Enable Spamasssasion support. Requries Spamassasion
+ available in SBo
+ BOGOFILTER=ON : Enable Bogofilter support. Requires Bogofilter
+ available in SBo
+ GNOMEDESKTOP=ON : Enable Gnome-Desktop support. Need gnome-desktop
+ available in SBo
diff --git a/office/evolution/doinst.sh b/office/evolution/doinst.sh
new file mode 100644
index 0000000000..43e60c02d0
--- /dev/null
+++ b/office/evolution/doinst.sh
@@ -0,0 +1,16 @@
+
+if [ -x /usr/bin/glib-compile-schemas ]; then
+ chroot . /usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas/ 1> /dev/null 2> /dev/null
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+
diff --git a/office/evolution/evolution.SlackBuild b/office/evolution/evolution.SlackBuild
new file mode 100644
index 0000000000..d606257719
--- /dev/null
+++ b/office/evolution/evolution.SlackBuild
@@ -0,0 +1,138 @@
+#!/bin/bash
+
+# Slackware build script for evolution
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=evolution
+VERSION=${VERSION:-3.44.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+GCOV=${GCOV:-OFF}
+GTKDOC=${GTKDOC:-OFF}
+TESTS=${TESTS:-OFF}
+BOGOFILTER=${BOGOFILTER:-OFF}
+SPAMASSASION=${SPAMASSASION:-OFF}
+GNOMEDESKTOP=${GNOMEDESKTOP:-OFF}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DENABLE_CODE_COVERAGE="$GCOV" \
+ -DENABLE_GNOME_DESKTOP="$GNOMEDESKTOP" \
+ -DENABLE_GTK_DOC="$GTKDOC" \
+ -DENABLE_INSTALLED_TESTS="$TESTS" \
+ -DENABLE_SMIME=ON \
+ -DENABLE_PST_IMPORT=ON \
+ -DENABLE_GTKSPELL=OFF \
+ -DENABLE_YTNEF=ON \
+ -DENABLE_CONTACT_MAPS=ON \
+ -DENABLE_TEXT_HIGHLIGHT=ON \
+ -DWITH_BOGOFILTER="$BOGOFILTER"\
+ -DWITH_SPAMASSASSIN="$SPAMASSASION"\
+ -DWITH_SA_LEARN=OFF \
+ -DENABLE_PLUGINS=all \
+ -DDWITH_ENCHANT_VERSION=2 \
+ -DENABLE_SCHEMAS_COMPILE=OFF \
+ -DWITH_GLADE_CATALOG=OFF \
+ -DENABLE_MARKDOWN=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING-DOCS COPYING-DOCS.CCBYSA COPYING-DOCS.GFDL COPYING.LGPL2 COPYING.LGPL3 \
+ COPYING.OPENLDAP HACKING MAINTAINERS NEWS NEWS-1.0 README.md README.translators \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/evolution/evolution.info b/office/evolution/evolution.info
new file mode 100644
index 0000000000..1399eb5a1b
--- /dev/null
+++ b/office/evolution/evolution.info
@@ -0,0 +1,10 @@
+PRGNAM="evolution"
+VERSION="3.44.0"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution/"
+DOWNLOAD="https://download.gnome.org/sources/evolution/3.44/evolution-3.44.0.tar.xz"
+MD5SUM="a4ce29d806624bfd5d5e4750ad2c3881"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="evolution-data-server gnome-autoar gspell libchamplain ytnef highlight libpst cmark"
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"
diff --git a/office/evolution/slack-desc b/office/evolution/slack-desc
new file mode 100644
index 0000000000..6e69458e62
--- /dev/null
+++ b/office/evolution/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+evolution: evolution (Email and calendaring application)
+evolution:
+evolution: Evolution is the GNOME mailer, calendar, contact manager and
+evolution: communications tool from Ximian, Inc. The tools which make up
+evolution: Evolution are tightly integrated with one another, and together they
+evolution: act as a seamless personal information-management tool.
+evolution:
+evolution: If you have "demanding" email needs, then this is almost certainly
+evolution: the program you will want to be using.
+evolution:
+evolution: https://wiki.gnome.org/Apps/Evolution/